///******************************************************    
///	FileName: ExpoNews.js
///	Action: 后台添加展会页面JS处理文件
///	Copyright(c)  2004-2008 网胜科技公司技术开发部
///	Writer: XYF
///	Create Date: 2008-1-6
///	Rewriter:
///	Rewrite Date:
///****************************************************** 
var txtjbos=new  Array("txtTitle","txtOrigin")
var rightIcon="../../../images/websen.gif"
var rightIcons="../../../images/icon_nothing.gif";
function $(id){
    return document.getElementById(id);
}
function getobj(objName){
    if ($){
        return eval('$("'+ objName +'")');
    }
    else{
        return eval('document.all["'+ objName +'"]');
    }
}

function oo(){
    $("yc").style.display="none";
}

//等到焦点
for(var i=0;i<txtjbos.length;i++){ 
    $(txtjbos[i]).onfocus =function (){
        for (var j=0;j<txtjbos.length;j++){
            if (txtjbos[j]==event.srcElement.id){
                postobj(j);
            }
        }
    }
 }
function postobj(num){
    obj = "txt"+num;
    document.getElementById(obj).innerHTML =ExpoNews[num];
}

//失去焦点
for(var i=0;i<txtjbos.length;i++){ 
    $(txtjbos[i]).onblur =function (){
        for (var j=0;j<txtjbos.length;j++){
            if (txtjbos[j]==event.srcElement.id){
                postob(j);
            }
        }
    }
}

function postob(num)
{
    obj = "txt"+num;
    if ($(obj).innerHTML!=""){
        $(obj).innerHTML="";
    }
    else {
        $(obj).innerHTML=ok;
    }
}

//提交
$("btnSave").onclick=function (){
    var ExpoNewsAdd=new Array();
    ExpoNewsAdd[3]=FileUPload(1);
    for(var i=0;i<txtjbos.length;i++)
    { 
        if ($(txtjbos[i]).value=="")
        {
            $("txt"+i).innerHTML=Error[i]
            ExpoNewsAdd[i]=1;
        }
        else
        {
            $("txt"+i).innerHTML=ok;ExpoNewsAdd[i]=0;
        }
        if($("chklAttribute_"+0).checked==true||$("chklAttribute_"+1).checked==true||$("chklAttribute_"+2).checked==true||$("chklAttribute_"+3).checked==true)
        {
            $("chklAttributes").innerHTML=ok;ExpoNewsAdd[2]=0;
        }
        else
        {
            $("chklAttributes").innerHTML=Error[2];
            ExpoNewsAdd[2]=1;
        }
        if (ExpoNewsAdd[3]==1)
        {
            $("UpLoad").innerHTML=Error[3];
        }
        else
        {
            $("UpLoad").innerHTML=ok;
        }
    }
    if(ExpoNewsAdd[0]==0 && ExpoNewsAdd[1]==0 && ExpoNewsAdd[2]==0 && ExpoNewsAdd[3]==0)
    return true
    else
    return false

}
for (m=0;m<=3;m++)
{
    $("chklAttribute_"+m).onclick=function ()
    {
        if (!$("chklAttribute").innerHTML=="")
        {
            $("chklAttributes").innerHTML="";
        }
    }
}



////显示信息
var ok="<font color=#999999>输入符合规范</font>";
var title="<p>";
var titles="</p>"
var ExpoNews=new Array();
ExpoNews[0]=title+"请输入信息标题"+titles;
ExpoNews[1]=title+"请输入信息来源"+titles;
//处理显示信息
var TitleError="<font color=#FF0000>"
var TitleErrors="</font>"
var Error=new  Array();
Error[0]=TitleError+"信息标题不能为空，请重新设置信息标题"+TitleErrors
Error[1]=TitleError+"信息来源不能为空，请重新设置信息来源"+TitleErrors
Error[2]=TitleError+"信息属性没有选择，至少选择一项"+TitleErrors
Error[3]=TitleError+"上传图片不能为空，请重新设置上传图片"+TitleErrors
Error[4]=TitleError+"上传图片格式错误，请重新设置上传图片"+TitleErrors
